@import "./src/styles/_abstracts/_variables.scss";
@import "./src/styles/_abstracts/_mixins.scss";

.footer {
  background-color: #000000;
  }

.footer__container {
  @include flex-between;
  align-items: center;
  flex-direction: column;
  padding: 37px 35px 47px;

  @media (min-width: $tablet-bp) {
    padding-top: 57px;
    padding-bottom: 56px;
  }

  @media (min-width: $desktop-bp) {
    padding-top: 66px;
    padding-bottom: 70px;
  }
}

.footer__title {
  font-weight: 700;
  font-size: 14px;
  line-height: 22px;
  text-transform: uppercase;
  color: #FEFEFE;
  margin-bottom: 8px;

  @media (min-width: $tablet-bp) {
    font-size: 16px;
    margin-bottom: 22px;
  }
}

.footer__text {
  font-size: 12px;
  line-height: 20px;
  color: $footer-text-color;
  text-align: center;
  width: 303px;
  margin-bottom: 26px;

  @media (min-width: $tablet-bp) {
    font-size: 16px;
    line-height: 28px;
    width: 684px;
    margin-bottom: 37px;
  }
}

.footer__links-wrapper {
  @include flex-between;
  width: 192px;
}

.footer__contacts {
  @include flex-center;
  flex-direction: column;
  font-size: 14px;
  line-height: 24px;
  color: $footer-text-color;
  text-align: center;
  margin-top: 25px;

  @media (min-width: $tablet-bp) {
    display: inline;
    font-size: 16px;
    line-height: 26px;
    margin-top: 24px;

    span {
      padding: 5px;
    }
  }
}